.wb-img-center {
  margin: auto;
  display: block;
}
.wb-background-blue {
  background-color: var(--background-blue);
}
.wb-background-green {
  background-color: var(--background-green);
}
.wb-background-red {
  background-color: var(--background-red);
}
.wb-border-card {
  border: 1px solid #000;
}
.wb-margin-auto {
  margin: auto;
}
.wb-margin-top {
  margin-top: 25px;
}
.wb-show {
  display: block !important;
}

/* Message, when user disabled Javascript */
.noscriptmsg {
  left: 50%;
  top: 30%;
  transform: translate(-50%, 0);
  position: fixed;
  max-width: 500px;
  padding: 50px;
  background-color: var(--background-red);
  z-index: 1000;
  font-size: 20px;
  border: 1px solid var(--black);
}
.noscriptmsg ~ .container {
  filter: blur(12px);
  -webkit-filter: blur(12px);
  user-select: none;
  cursor: none;
  pointer-events: none;
}

/* The dots/bullets/indicators für owl.carousel */
.owl-carousel {
  margin-top: -24px;
  overflow: hidden;
}
.wb-img-carousel {
  width: 50% !important;
}
.owl-dots {
  text-align: center;
  padding-top: 1px;
}
.owl-dots button.owl-dot {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  display: inline-block;
  background: #bbb;
  margin: 0 3px;
}
.owl-dots button.owl-dot.active {
  background-color: var(--main-color);
}

/* Cookie-Container */
.cookie-container {
  position: fixed;
  bottom: -100%;
  right: 0;
  z-index: 100;
  color: var(--white);
  max-width: 450px;
  padding: 15px 30px;
  transition: .4s;
  /* Glassmorphism */
  background: var(--cookie-background);
  box-shadow: 0 8px 32px 0 var(--cookie-background-shadow);
  backdrop-filter: blur( 7.5px );
  -webkit-backdrop-filter: blur( 7.5px );
  border-radius: 10px;
  border: 1px solid rgba( 255, 255, 255, 0.18 );
}
.cookie-container.active{
  bottom: 0;
}
.cookie-container a {
  color: var(--white);
}
.cookie-requirements {
  margin: 5px 0;
  display: flex;
}
.cookie-container p {
  margin: 0;
  font-size: 16px;
}
.switch input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.switch {
  display: inline-block;
  font-size: 20px;
  height: 1em;
  width: 2em;
  background: #BDB9A6;
  border-radius: 1em;
  margin: 3px 15px 0 0;
  cursor: pointer;
}
.switch div {
  height: 1em;
  width: 1em;
  border-radius: 50%;
  background: #FFF;
  cursor: pointer;
  box-shadow: 0 0.1em 0.3em rgba(0,0,0,0.3);
  -webkit-transition: all 300ms;
     -moz-transition: all 300ms;
          transition: all 300ms;
}
/* .active wird durch wb-javascript.js gesetzt */
.switch.active{
  background: #5ad68e;
}
.switch.active div {
  -webkit-transform: translate3d(100%, 0, 0);
     -moz-transform: translate3d(100%, 0, 0);
          transform: translate3d(100%, 0, 0);
}

.cookie-container .cookie-btn {
  width: 160px;
  height: 60px;
  border: none;
  font-size: 16px;
  margin: 10px 0;
  border-radius: 5px;
  color: #fff;
  background: transparent;
  border: 2px solid #fff;
  padding: 5px;
  transition: .5s;
  cursor: pointer;
}
.cookie-container .cookie-btn:hover {
  background: #ffffff25;
}

/* Error Message for error.php */
.error-container {
  position: relative;
  overflow: hidden;
  height: 550px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 80px;
}
#error-box {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 20px;
  position: absolute;
  min-width: 400px;
  max-width: 500px;
  height: 450px;
  background: linear-gradient(to bottom left, #ef8d9c 40%, #ffc39e 100%);
  border-radius: 10px;
  box-shadow: 5px 5px 20px rgba(203, 205, 211, 10);
}
.face2 {
  position: absolute;
  width: 100px;
  height: 100px;
  background: #fcfcfc;
  border-radius: 50%;
  border: 1px solid #777;
  z-index: 2;
  animation: roll 3s ease-in-out infinite;
  top: 25px;
}
.move {
  animation: move 3s ease-in-out infinite;
}
.message {
  margin-top: 120px;
  text-align: center;
}
.button-box {
  background: #fcfcfc;
  position: relative;
  width: 150px;
  height: 75px;
  border-radius: 20px;
  outline: 0;
  border: none;
  box-shadow: 2px 2px 10px rgba(119, 119, 119, 0.5);
  transition: all 0.5s ease-in-out;
}
.button-box:hover {
  background: #efefef;
  transform: scale(1.05);
  transition: all 0.3s ease-in-out;
}
.eye {
  position: absolute;
  width: 5px;
  height: 5px;
  background: #777;
  border-radius: 50%;
  top: 40%;
  left: 20%;
}
.eye.right {
  left: 63%;
}
.mouth {
  position: absolute;
  top: 43%;
  left: 41%;
  width: 7px;
  height: 7px;
  border-radius: 50%;
}
.sad {
  top: 49%;
  border: 2px solid;
  border-color: #777 transparent transparent #777;
  transform: rotate(45deg);
}
.shadow {
  position: absolute;
  width: 21%;
  height: 3%;
  opacity: 0.5;
  background: #777;
  left: 40%;
  border-radius: 50%;
  z-index: 1;
  top: 27%;
}
@keyframes roll {
  0%{
    transform: rotate(0deg);
    left: 25%;
  }
  50%{
    transform: rotate(168deg);
    left: 60%;
  }
  100%{
    transform: rotate(0deg);
    left: 25%;
  }
}
@keyframes move {
  0%{
    left: 25%;
  }
  50%{
    left: 60%;
  }
  100%{
    left: 25%;
  }
}
.pot {
  display: none;
}

/* To-top-Btn */
#to-top-btn {
  display: none;
  align-items: center;
  justify-content: center;
  position: fixed;
  z-index: 99;
  bottom: 20px;
  right: 45px;
  width: 45px;
  height: 45px;
  border: none;
  outline: none; 
  color: #333;
  cursor: pointer;
  padding: 15px;
  border-radius: 10px;
  font-size: 24px;
  background: rgba(240, 239, 239, 0.25);
  backdrop-filter: blur( 6px );
  -webkit-backdrop-filter: blur( 6px );
  background: rgba( 255, 255, 255, 0.25 );
  border: 1px solid #333;
}
#to-top-btn:hover {
  transform: scale(1.2);
}

@media screen and (max-width: 768px) {
  .cookie-container .cookie-btn{
    width: 100%;
  }
}